<template>
  <div class="search-form">
    <div class="search-form__header">Find your movie</div>
    <div class="search-form__form">
      <input
        class="search-form__input"
        type="text"
        v-model="queryText"
        v-on:keyup.enter="startSearch"
      />
      <button class="search-form__search-search_button" @click="startSearch">
        search
      </button>
    </div>
    <div class="search-form__search-param">
      <div class="search-form__search-param_text">Search By</div>
      <button
        class="search-form__search-param_button"
        :class="{
          'search-form__search-param_button-selected': searchByTitle
        }"
        @click="setSearchByTitle(true)"
      >
        title
      </button>
      <button
        class="search-form__search-param_button"
        :class="{
          'search-form__search-param_button-selected': !searchByTitle
        }"
        @click="setSearchByTitle(false)"
      >
        genre
      </button>
    </div>
  </div>
</template>

<script>
import { mapMutations, mapState } from "vuex";

export default {
  name: "search",
  computed: {
    ...mapState(["searchByTitle"]),
    queryText: {
      get() {
        return this.$store.state.searchQuery;
      },
      set(value) {
        this.$store.commit("updateSearchQuery", value);
      }
    }
  },
  methods: {
    ...mapMutations(["setSearchByTitle"]),
    startSearch() {
      this.$emit("start-search");
    }
  }
};
</script>

<style scoped>
.search-form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background-color: #232323;
  min-height: 150px;
  text-transform: uppercase;
  color: white;
  padding: 35px;
}

.search-form__form {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.search-form__header {
  padding-bottom: 20px;
}

.search-form__search-param {
  display: flex;
  flex-direction: row;
  padding-top: 20px;
}

.search-form__search-param_text {
  padding-right: 10px;
}

.search-form__search-param_button {
  text-transform: uppercase;
  color: white;
  background-color: #555555;
}

.search-form__input {
  display: flex;
  justify-content: normal;
  color: white;
  background-color: #555555;
  width: auto;
}

.search-form__search-param_button-selected,
.search-form__search-search_button {
  background-color: #f65261;
  color: white;
  text-transform: uppercase;
}
</style>
